AC_DEFUN([AC_GDS_CHECK_ROOT],
[
rootcflags=
rootlibs=
rootglibs=
rootinc=
rootcint=
rootcling=no
rootbaselibs=
rootpcmcomment='#rc6 '
AC_PATH_PROG([ROOT_CONFIG],[root-config])
AC_MSG_CHECKING([for ROOT])
if test -n "$ROOTSYS"; then
  rootdir="$ROOTSYS"
elif test -n "$ROOT_CONFIG" -a -x $ROOT_CONFIG ; then
  rootdir=`$ROOT_CONFIG --prefix`
fi
rootbin=$rootdir/bin
if test -x $rootbin/root-config
then
  AC_MSG_RESULT([${rootdir}])
  rootvsn=`$rootbin/root-config --version`
  AC_MSG_RESULT([version: ${rootvsn}])
  rootcflags=`$rootbin/root-config --cflags`
  AC_MSG_RESULT([cflags: ${rootcflags}])
  rootlibs=`$rootbin/root-config --libs | sed -e 's,-lPhysics,,'`
  rootglibs="`$rootbin/root-config --glibs | sed -e 's,-lPhysics,,'` -lRIO -lGpad"
  rootlib=`$rootbin/root-config --libdir`
  rootinc=`$rootbin/root-config --incdir`
  AC_MSG_CHECKING([for ROOT cling])
  if test -d `dirname ${rootinc}`/VecCore
  then
    rootcflags="${rootcflags} -I`dirname ${rootinc}`"
  fi
  rootcling=`$rootbin/root-config --has-cling`
  if test "$rootcling" = "yes"
  then
    # Do nothing as Cling will be properly used
    true
  elif test "`$rootbin/root-config --has-cint`" = "yes"
  then
    # Do nothing as Cint will be properly used
    true
  else
    case "`$rootbin/root-config --version`" in
    [[1-5]].*)
      # Versions 1 through 5 use Cint
      ;;
    *)
    # Version 6 and beyond use Cling
      rootcling="yes"
      ;;
    esac
  fi
  if test "$rootcling" = "yes"
  then
    rootpcmcomment=''
    rootcint="$rootbin/rootcling"
    rootbaselibs="-L$rootlib -lCore -lCling `$rootbin/root-config --auxlibs`"
  else
    rootcint="$rootbin/rootcint"
    rootbaselibs="-L$rootlib -lCore -lCint `$rootbin/root-config --auxlibs`"
  fi
  AC_MSG_RESULT([${rootcling}])
else
  AC_MSG_RESULT([no])
dnl ===========================================================
dnl   We don't need ROOT with for non-gui DTT
dnl ===========================================================
  if test x$need_onlydtt = "xyes"
  then
    if test x$need_dttgui = "xno"
    then
      echo "ROOT not found - but OK, don't need it"
    else
      echo "ROOT must be on the system - Aborting"
      exit 1
    fi
  else
    echo "ROOT must be on the system - Aborting"
    exit 1
  fi
fi
AC_SUBST(rootdir)
AC_SUBST(rootbin)
AC_SUBST(rootlib)
AC_SUBST(rootinc)
AC_SUBST(rootcflags)
AC_SUBST(rootlibs)
AC_SUBST(rootglibs)
AC_SUBST(rootbaselibs)
AC_SUBST(rootcint)
AC_SUBST(rootpcmcomment)
AM_CONDITIONAL([root_uses_cling], [test "$rootcling" != "no"])
])

